#include<bits/stdc++.h>
using namespace std;
int n,a[100005],k,kolko,br;
int dobar[100005];
int main()
{
    cin>>n>>k;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    sort(a+1,a+n+1);
    for(int i=1;i<=n;i++)
    {
        if(a[i]==a[i+1])
        {
            br++;
        }
        else
        {
            if(br+1>=k)
            {
                kolko++;
                dobar[kolko]=a[i];
                br=0;
            }
        }
    }
    cout<<kolko<<endl;
    for(int i=1;i<=kolko;i++)
    {
        cout<<dobar[i]<<" ";
    }
    cout<<endl;
    return 0;
}